# Retrieve a list of worksets

Lists worksets that have been created. If you don't specify any filtering parameters, you will retrieve all available worksets.

Endpoint: GET /api/v2/cm/branches/{branchId}/worksets
Version: v2.0
Security: OAuth2.0

## Path parameters:

  - `branchId` (string, required)
    The ID of the branch, for example prod.

## Query parameters:

  - `SortBy` (string)

  - `Search` (string)

  - `MinimumPageSize` (integer)

## Header parameters:

  - `x-sc-continuation` (string)
    The continuation token for next results.

## Response 200 fields (application/json):

  - `count` (integer,null)

  - `next` (string,null)

  - `data` (array,null)

  - `data.id` (string,null, required)

  - `data.name` (string,null, required)

  - `data.system` (object, required)

  - `data.system.createdAt` (string, required)

  - `data.system.createdBy` (string,null, required)

  - `data.system.hash` (string,null, required)

  - `data.system.type` (string,null, required)

  - `data.system.readOnly` (boolean)

  - `data.system.updatedAt` (string,null)

  - `data.system.updatedBy` (string,null)

  - `data.description` (string,null)

## Response 400 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


## Response 401 fields

## Response 403 fields

## Response 500 fields
